<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />
    <!-- <link rel="stylesheet" href="index.css" /> -->
    <title>Boostrap Grid Systen</title>
  </head>
  <body class="text-center">
    <h1>Bootstrap Gird System</h1>

    <h2>Two Columns</h2>
    <div class="container-fluid">
      <h3>1:1 Ratio</h3>
      <div class="row">
        <div class="bg-primary col-6 border border-dark py-3">6 Col</div>
        <div class="bg-secondary col-6 border border-dark py-3">6 Col</div>
      </div>

      <h3>1:3 Ratio</h3>
      <div class="row">
        <div class="bg-info col-3 border border-dark py-3">3 Col</div>
        <div class="bg-warning col-9 border border-dark py-3">9 Col</div>
      </div>

      <h3>1:2 Ratio</h3>
      <div class="row">
        <div class="bg-danger col-4 border border-dark py-3">4 Col</div>
        <div class="bg-dark col-8 border border-dark py-3 text-light">
          8 Col
        </div>
      </div>
    </div>

    <h2>Three Columns</h2>
    <div class="container-fluid">
      <h3>1:1:1</h3>
      <div class="row">
        <div class="bg-primary col-4 border border-dark py-3">4 Col</div>
        <div class="bg-secondary col-4 border border-dark py-3">4 Col</div>
        <div class="bg-dark col-4 border border-dark py-3 text-light">
          4 Col
        </div>
      </div>

      <h3>1:2:1</h3>
      <div class="row">
        <div class="bg-primary col-3 border border-dark py-3">3 Col</div>
        <div class="bg-secondary col-6 border border-dark py-3">6 Col</div>
        <div class="bg-dark col-3 border border-dark py-3 text-light">
          3 Col
        </div>
      </div>

      <h3>3:7:2</h3>
      <div class="row">
        <div class="bg-primary col-3 border border-dark py-3">3 Col</div>
        <div class="bg-secondary col-7 border border-dark py-3">7 Col</div>
        <div class="bg-dark col-2 border border-dark py-3 text-light">
          2 Col
        </div>
      </div>
    </div>

    <h2>Automatic Sizing</h2>
    <div class="container-fluid">
      <div class="row">
        <div class="bg-secondary col border border-dark py-3">Automatic</div>
        <div class="bg-secondary col border border-dark py-3">Automatic</div>
      </div>
    </div>

    <h2>Multi-row layout</h2>
    <div class="container-fluid">
      <div class="row">
        <div class="bg-secondary col-4 border border-dark py-3">Catalog 1</div>
        <div class="bg-secondary col-4 border border-dark py-3">Catalog 2</div>
        <div class="bg-secondary col-4 border border-dark py-3">Catalog 3</div>
        <div class="bg-secondary col-4 border border-dark py-3">Catalog 4</div>
        <div class="bg-secondary col-4 border border-dark py-3">Catalog 5</div>
        <div class="bg-secondary col-4 border border-dark py-3">Catalog 6</div>
      </div>
    </div>

    <h2>Offsetting Columns</h2>
    <div class="container-fluid">
      <div class="row">
        <div class="bg-secondary col-6 offset-3 border border-dark py-3">
          Offset Column
        </div>
        <div class="bg-secondary col-7 mx-auto border border-dark py-3">
          Offset Column
        </div>
        <div class="bg-secondary offset-md-3 col-6 border border-dark py-3">
          Offset Column
        </div>
        <div class="bg-secondary offset-3 col-7 border border-dark py-3">
          Offset Column
        </div>
      </div>
    </div>

    <h2>Column Order</h2>
    <div class="container-fluid">
      <div class="row">
        <div
          class="bg-secondary col-2 border border-dark py-3 order-md-1 order-2"
        >
          1
        </div>
        <div
          class="bg-secondary col-4 border border-dark py-3 order-md-2 order-3"
        >
          2
        </div>
        <div
          class="bg-secondary col-6 border border-dark py-3 order-md-3 order-1"
        >
          3
        </div>
      </div>
    </div>

    <!-- JS Bootsrap -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
